<template>
  <div :id="settings.id || null" :class="settings.class" :style="settings.style" v-html="settings.html"></div>
</template>

<script>
export default {
  props: {
    layout: {
      type: Object,
      required: true,
    },
  },

  computed: {
    settings() {
      return this.layout.settings
    },
  },
}
</script>
